# FastApp Link

`POST https://api.agilitycredit.net/v3/links/fastapp`

Docs page: https://apidocs.agilitycredit.com/api/fast-app-link · Tag: Links

Creates a FastApp link for an applicant. The link can be delivered via email or SMS and directs the applicant to a pre-filled application form.

Authentication: `Authorization: Bearer <api key>`.

## Parameters

| Name | In | Required | Description |
| --- | --- | --- | --- |
| `Idempotency-Key` | header | yes | A unique, idempotent key. We recommend to use a guid |
| `Agc-Tenant-Id` | header | yes | The tenant ID provided by Agility Credit. |
| `Agc-User-Id` | header | yes | The requestor user ID. |
| `Agc-Applicant-Id` | header |  | If passed, will assign the report to that applicant. If not, will create a new applicant ID |

## Request body (`application/json`), required

FastApp link request payload

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `fastapp_id` | string | yes | The FastApp configuration identifier. |
| `phone` | string |  | Phone number to send the FastApp link to. |
| `email` | string |  | Email address to send the FastApp link to. |
| `applicant_type` | string |  | The applicant type (e.g. main, co). |
| `applicant_name` | string |  | The applicant's display name for the link. |

## Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | FastApp link created successfully | FastAppLinkResponse |
| 400 | Bad Request | StandardErrorResponse |
| 401 | Unauthorized | StandardErrorResponse |
| 429 | Too Many Requests | StandardErrorResponse |
| 500 | Internal Server Error | StandardErrorResponse |
Top-level 200 fields: `fastapp_link`.
